Package com.google.protobuf

# Interface JavaFeaturesProto.JavaFeaturesOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `JavaFeaturesProto.JavaFeatures`, `JavaFeaturesProto.JavaFeatures.Builder`

Enclosing class:
  `JavaFeaturesProto`

public static interface JavaFeaturesProto.JavaFeaturesOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getLegacyClosedEnum()`
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`JavaFeaturesProto.JavaFeatures.Utf8Validation`
`getUtf8Validation()`
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasLegacyClosedEnum()`
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasUtf8Validation()`
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasLegacyClosedEnum

boolean hasLegacyClosedEnum()
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the legacyClosedEnum field is set.

### getLegacyClosedEnum

boolean getLegacyClosedEnum()
`optional bool legacy_closed_enum = 1 [json_name = "legacyClosedEnum", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The legacyClosedEnum.

### hasUtf8Validation

boolean hasUtf8Validation()
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the utf8Validation field is set.

### getUtf8Validation

JavaFeaturesProto.JavaFeatures.Utf8Validation getUtf8Validation()
`optional .pb.JavaFeatures.Utf8Validation utf8_validation = 2 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The utf8Validation.